Subject: bug#19869: 25.0.50; default-frame-alist: width versus fullheight

From: Michael Heerdegen <[email-masked]>
Date: Sun, 15 Feb 2015 21:55:27 +0100

Hello again,

I forgot to mention that this is all reproducible here with emacs -Q.

Apparently the frame is created with the correct width, then the width
changes while calling `face-set-after-frame-default'.  This happens
before the frame is actually displayed.

Here is what I evaluated in emacs -Q:

--8<---------------cut here---------------start------------->8---
(progn
  (set-face-attribute 'default nil :height 175)
  (setq default-frame-alist
        '((width . 100)
          (fullscreen . fullheight)))

  (advice-add
   'face-set-after-frame-default :around
   (lambda (f frame &rest args)
     (message "Width before face-set-after-frame-default: %S" (frame-width frame))
     (apply f frame args)
     (message "Width after face-set-after-frame-default: %S"  (frame-width frame))))
   
  (make-frame))
--8<---------------cut here---------------end--------------->8---

In *Messages* I get

Width before face-set-after-frame-default: 98
Width after face-set-after-frame-default: 63
#<frame emacs@drachen 0xf99350>